ros-noetic-base-local-planner (1.17.3-1buster) buster; urgency=high

  * [ROS-O] various patches (#1225 <https://github.com/ros-planning/navigation/issues/1225>)
    * do not specify obsolete c++11 standard
    this breaks with current versions of log4cxx.
    * update pluginlib include paths
    the non-hpp headers have been deprecated since kinetic
    * use lambdas in favor of boost::bind
    Using boost's _1 as a global system is deprecated since C++11.
    The ROS packages in Debian removed the implicit support for the global symbols,
    so this code fails to compile there without the patch.
  * Contributors: Michael Görner

 -- Michael Ferguson <mfergs7@gmail.com>  Tue, 10 Jan 2023 05:00:00 -0000

ros-noetic-base-local-planner (1.17.2-1buster) buster; urgency=high

  * Commit 89a8593 removed footprint scaling. This brings it back. (#886 <https://github.com/ros-planning/navigation/issues/886>) (#1204 <https://github.com/ros-planning/navigation/issues/1204>)
    Co-authored-by: Frank Höller <mailto:frank.hoeller@fkie.fraunhofer.de>
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Mon, 20 Jun 2022 04:00:00 -0000

ros-noetic-base-local-planner (1.17.1-1buster) buster; urgency=high

  * occdist_scale should not be scaled by the costmap resolution as it doesn't multiply a value that includes a distance. (#1000 <https://github.com/ros-planning/navigation/issues/1000>)
  * Contributors: wjwagner

 -- Michael Ferguson <mfergs7@gmail.com>  Thu, 27 Aug 2020 04:00:00 -0000

ros-noetic-base-local-planner (1.17.0-1buster) buster; urgency=high

  * Merge pull request #982 <https://github.com/ros-planning/navigation/issues/982> from ros-planning/noetic_prep
    Noetic Migration
  * increase required cmake version
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Thu, 02 Apr 2020 04:00:00 -0000

ros-noetic-base-local-planner (1.16.6-1buster) buster; urgency=high

  * Fix Unknown CMake command check_include_file (navfn & base_local_planner) (#975 <https://github.com/ros-planning/navigation/issues/975>)
  * Contributors: Sam Pfeiffer

 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 18 Mar 2020 04:00:00 -0000

ros-noetic-base-local-planner (1.16.5-1buster) buster; urgency=high

  * [melodic] updated install for better portability. (#973 <https://github.com/ros-planning/navigation/issues/973>)
  * Contributors: Sean Yen

 -- Michael Ferguson <mfergs7@gmail.com>  Sun, 15 Mar 2020 04:00:00 -0000

ros-noetic-base-local-planner (1.16.4-1buster) buster; urgency=high

  * Fixes gdist- and pdist_scale node paramter names (#936 <https://github.com/cobalt-robotics/navigation/issues/936>)
    Renames goal and path distance dynamic reconfigure parameter
    names in the cfg file in order to actually make the parameters
    used by the trajectory planner changeable.
    Fixes #935 <https://github.com/cobalt-robotics/navigation/issues/935>
  * don't include a main() function in base_local_planner library (#969 <https://github.com/cobalt-robotics/navigation/issues/969>)
  * [Windows][melodic] Navigation (except for map_server and amcl) Windows build bring up (#851 <https://github.com/cobalt-robotics/navigation/issues/851>)
  * Contributors: David Leins, Sean Yen, ipa-fez

 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-noetic-base-local-planner (1.16.3-1buster) buster; urgency=high

  * Merge branch 'melodic-devel' into layer_clear_area-melodic
  * Provide different negative values for unknown and out-of-map costs (#833 <https://github.com/ros-planning/navigation/issues/833>)
  * Merge pull request #857 <https://github.com/ros-planning/navigation/issues/857> from jspricke/add_include
    Add missing header
  * Add missing header
  * [kinetic] Fix for adjusting plan resolution (#819 <https://github.com/ros-planning/navigation/issues/819>)
    * Fix for adjusting plan resolution
    * Simpler math expression
  * Contributors: David V. Lu!!, Jochen Sprickerhof, Jorge Santos Simón, Michael Ferguson, Steven Macenski

 -- Michael Ferguson <mfergs7@gmail.com>  Fri, 15 Nov 2019 05:00:00 -0000

ros-noetic-base-local-planner (1.16.2-1buster) buster; urgency=high

  * Merge pull request #773 <https://github.com/ros-planning/navigation/issues/773> from ros-planning/packaging_fixes
    packaging fixes
  * add explicit sensor_msgs, tf2 depends for base_local_planner
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Tue, 31 Jul 2018 04:00:00 -0000

ros-noetic-base-local-planner (1.16.1-1buster) buster; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Sat, 28 Jul 2018 04:00:00 -0000

ros-noetic-base-local-planner (1.16.0-1buster) buster; urgency=high

  * Remove PCL #765 <https://github.com/ros-planning/navigation/issues/765>
  * Switch to TF2 #755 <https://github.com/ros-planning/navigation/issues/755>
  * Fix trajectory obstacle scoring in dwa_local_planner.
  * Make trajectory scoring scales consistent.
  * unify parameter names between base_local_planner and dwa_local_planner
    addresses parts of #90 <https://github.com/ros-planning/navigation/issues/90>
  * fix param to min_in_place_vel_theta, closes #487 <https://github.com/ros-planning/navigation/issues/487>
  * add const to getLocalPlane, fixes #709 <https://github.com/ros-planning/navigation/issues/709>
  * Merge pull request #732 <https://github.com/ros-planning/navigation/issues/732> from marting87/small_typo_fixes
    Small typo fixes in ftrajectory_planner_ros and robot_pose_ekf
  * Fixed typos for base_local_planner
  * Contributors: Alexander Moriarty, David V. Lu, Martin Ganeff, Michael Ferguson, Pavlo Kolomiiets, Rein Appeldoorn, Vincent Rabaud, moriarty

 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 25 Jul 2018 04:00:00 -0000

ros-noetic-base-local-planner (1.15.2-1buster) buster; urgency=high

  * Merge pull request #673 <https://github.com/ros-planning/navigation/issues/673> from ros-planning/email_update_lunar
    update maintainer email (lunar)
  * CostmapModel: Make lineCost and pointCost public (#658 <https://github.com/ros-planning/navigation/issues/658>)
    Make the methods lineCost and pointCost of the CostmapModel class
    public so they can be used outside of the class.
    Both methods are not changing the instance, so this should not cause any
    problems.  To emphasise their constness, add the actual const keyword.
  * Merge pull request #649 <https://github.com/ros-planning/navigation/issues/649> from aaronhoy/lunar_add_ahoy
    Add myself as a maintainer.
  * Contributors: Aaron Hoy, Felix Widmaier, Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Thu, 22 Mar 2018 04:00:00 -0000

ros-noetic-base-local-planner (1.15.1-1buster) buster; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Mon, 14 Aug 2017 04:00:00 -0000

ros-noetic-base-local-planner (1.15.0-1buster) buster; urgency=high

  * set message_generation build and runtime dependency
  * convert packages to format2
  * cleaner logic, fixes #156 <https://github.com/ros-planning/navigation/issues/156>
  * Merge pull request #596 <https://github.com/ros-planning/navigation/issues/596> from ros-planning/lunar_548
  * Add cost function to prevent unnecessary spinning
  * Fix CMakeLists + package.xmls (#548 <https://github.com/ros-planning/navigation/issues/548>)
  * add missing deps on libpcl
  * import only PCL common
  * pcl proagate -lQt5::Widgets flag so we need to find_package Qt5Widgets (#578 <https://github.com/ros-planning/navigation/issues/578>)
  * make rostest in CMakeLists optional (ros/rosdistro#3010 <https://github.com/ros/rosdistro/issues/3010>)
  * remove GCC warnings
  * Contributors: Lukas Bulwahn, Martin Günther, Michael Ferguson, Mikael Arguedas, Morgan Quigley, Vincent Rabaud, lengly

 -- Michael Ferguson <mfergs7@gmail.com>  Mon, 07 Aug 2017 04:00:00 -0000

ros-noetic-base-local-planner (1.14.0-1buster) buster; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Fri, 20 May 2016 04:00:00 -0000

ros-noetic-base-local-planner (1.13.1-1buster) buster; urgency=high

  * base_local_planner: some fixes in goal_functions
  * Merge pull request #348 <https://github.com/ros-planning/navigation/issues/348> from mikeferguson/trajectory_planner_fixes
  * fix stuck_left/right calculation
  * fix calculation of heading diff
  * Contributors: Gael Ecorchard, Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Thu, 29 Oct 2015 04:00:00 -0000

ros-noetic-base-local-planner (1.13.0-1buster) buster; urgency=high

  * remove previously deprecated param
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Tue, 17 Mar 2015 04:00:00 -0000

ros-noetic-base-local-planner (1.12.0-1buster) buster; urgency=high

  * update maintainer email
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 04 Feb 2015 05:00:00 -0000

ros-noetic-base-local-planner (1.11.15-1buster) buster; urgency=high

  * Add ARCHIVE_DESTINATION for static builds
  * Contributors: Gary Servin

 -- Michael Ferguson <mfergs7@gmail.com>  Tue, 03 Feb 2015 05:00:00 -0000

ros-noetic-base-local-planner (1.11.14-1buster) buster; urgency=high

  * Fixed setting child_frame_id in base_local_planner::OdometryHelperRos
  * Contributors: Mani Monajjemi

 -- Michael Ferguson <mfergs7@gmail.com>  Fri, 05 Dec 2014 05:00:00 -0000

ros-noetic-base-local-planner (1.11.13-1buster) buster; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Thu, 02 Oct 2014 04:00:00 -0000

ros-noetic-base-local-planner (1.11.12-1buster) buster; urgency=high

  * Bugfix uninitialised occ_cost variable usage
    This fixes #256 <https://github.com/ros-planning/navigation/issues/256>.
  * base_local_planner: adds waitForTransform
  * Fixed issue causing trajectory planner returning false to isGoalReach ed even when it's control thread finishes executing
  * Contributors: Daniel Stonier, Marcus Liebhardt, hes3pal

 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 01 Oct 2014 04:00:00 -0000

ros-noetic-base-local-planner (1.11.11-1buster) buster; urgency=high

  * Minor code cleanup
  * Contributors: Enrique Fernández Perdomo

 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 23 Jul 2014 04:00:00 -0000

ros-noetic-base-local-planner (1.11.10-1buster) buster; urgency=high

  * Remove unnecessary colons
  * renames acc_lim_th to acc_lim_theta, add warning if using acc_lim_th
  * uses odom child_frame_id to set robot_vel frame_id
  * Contributors: David Lu!!, Michael Ferguson, Enrique Fernández Perdomo

 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 25 Jun 2014 04:00:00 -0000

ros-noetic-base-local-planner (1.11.9-1buster) buster; urgency=high

  * uses ::hypot(x, y) instead of sqrt(x*x, y*y)
  * No need to use limits->
  * Contributors: Enrique Fernández Perdomo

 -- Michael Ferguson <mfergs7@gmail.com>  Tue, 10 Jun 2014 04:00:00 -0000

ros-noetic-base-local-planner (1.11.8-1buster) buster; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 21 May 2014 04:00:00 -0000

ros-noetic-base-local-planner (1.11.7-1buster) buster; urgency=high

  * fixes latch_xy_goal_tolerance param not taken
  * update build to find eigen using cmake_modules
  * Trajectory: fix constness of getter methods
  * Use hypot() instead of sqrt(x*x, y*y)
  * Fix bug in distance calculation for trajectory rollout
  * Some documentation fixes in SimpleTrajectoryGenerator
  * Contributors: Michael Ferguson, Siegfried-A. Gevatter Pujals, enriquefernandez

 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 21 May 2014 04:00:00 -0000

ros-noetic-base-local-planner (1.11.5-1buster) buster; urgency=high

  * Merge pull request #152 <https://github.com/ros-planning/navigation/issues/152> from KaijenHsiao/hydro-devel
    uncommented trajectory_planner_ros from catkin_package LIBRARIES so other packages can find it
  * Fix negative score bug, add ability to sum scores
  * Ignore pyc files from running in devel
  * Correct type of prefer_forward penalty member variable
  * uncommented trajectory_planner_ros from catkin_package LIBRARIES so other packages can find it
  * Better handling of frame param in MapGridVisualizer
  * check for CATKIN_ENABLE_TESTING
  * Change maintainer from Hersh to Lu

 -- Michael Ferguson <mfergs7@gmail.com>  Thu, 30 Jan 2014 05:00:00 -0000

ros-noetic-base-local-planner (1.11.4-1buster) buster; urgency=high

  * Package URL Updates
  * Changed new Odom-Helper::initialize() function to setOdomTopic().
  * Converted to a pointcloud pointer in Observation in more places.

 -- Michael Ferguson <mfergs7@gmail.com>  Fri, 27 Sep 2013 04:00:00 -0000


